#include <stdio.h>
int zbir(int n)  
{  
    int zbir = n*(n+1)/2;
    return zbir;
}
int main()
{
    int t,n,m,k,zb,zb1;
    scanf("%d", &t);
    while(0<t){
       
        scanf("%d %d %d", &n, &m, &k);
        if(n%k != 0){
            zb = n/k;
            zb1 = n/k +1;
        }
        else{
            zb = n/k;
            zb1 = n/k;
        }
            

        if(m >= (zbir(zb)*(k-n%k) + zbir(zb1)*(n%k))){
           
            printf("Tak");
        }
        else
            printf("Nie");
        t--;
    }

    return 0;
}